package com.hungraim.ism.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.dao.DisableApplyHisMapper;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApplyHis;
import com.hungraim.ism.service.DisableService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DisableServiceImpl implements DisableService {

    @Autowired
    private DisableApplyHisMapper disableApplyHisMapper;

    @Override
    public IPage<ChDisableApplyHis> listDisableInfoByPage(String organId, String districtProvincial, String districtCity,
                                                          String districtArea, String realName, String certiCode, Short treatmentType,
                                                          Short applyStatus, int page, int pageSize) {
        QueryWrapper<ChDisableApplyHis> wrapper = new QueryWrapper<>();
        ChDisableApplyHis chDisableApplyHis = new ChDisableApplyHis();
        chDisableApplyHis.setOrganId(organId);
        chDisableApplyHis.setDistrictProvincial(districtProvincial);
        chDisableApplyHis.setDistrictCity(districtCity);
        chDisableApplyHis.setDistrictArea(districtArea);
        chDisableApplyHis.setRealName(realName);
        chDisableApplyHis.setCertiCode(certiCode);
        chDisableApplyHis.setTreatmentType(treatmentType);
        chDisableApplyHis.setApplyStatus(applyStatus);
        wrapper.setEntity(chDisableApplyHis);
        return disableApplyHisMapper.selectPage(new Page<>(page, pageSize), wrapper);
    }

}